/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package de.extra.client.plugins.outputplugin.utils;

import java.util.List;

import de.drv.dsrv.extrastandard.namespace.response.Message;
import de.drv.dsrv.extrastandard.namespace.response.TransportBody;

public class OutputPluginHelper {

	public static boolean isBodyEmpty(TransportBody transportBody) {

		boolean isEmpty = false;

		if (transportBody.getData() == null
				|| transportBody.getEncryptedData() == null) {

			isEmpty = true;
		}

		List<de.drv.dsrv.extrastandard.namespace.response.Package> packageList = transportBody
				.getPackage();
		List<Message> messageList = transportBody.getMessage();
		if (messageList.size() == 0 && packageList.size() == 0 && isEmpty) {
			isEmpty = true;
		} else {
			isEmpty = false;
		}

		return isEmpty;
	}
}
