/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/*
 * Created on Mar 26, 2007
 */
package de.extra.client.plugins.outputplugin.utils;

public class PropertiesHelperException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a PropertiesHelperException.
	 */
	public PropertiesHelperException() {
		super();
	}

	/**
	 * Creates a PropertiesHelperException with the given message.
	 * 
	 * @param message
	 */
	public PropertiesHelperException(String message) {
		super(message);
	}

	/**
	 * Creates a PropertiesHelperException with the given message and cause.
	 * 
	 * @param message
	 * @param cause
	 */
	public PropertiesHelperException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Creates a PropertiesHelperException with the given cause.
	 * 
	 * @param cause
	 */
	public PropertiesHelperException(Throwable cause) {
		super(cause);
	}
}
